
<template>
    <transition
        enter-class="opacity-0 scale-90"
        enter-active-class="ease-out transition-fast"
        enter-to-class="opacity-100 scale-100"
        leave-class="opacity-100 scale-100"
        leave-active-class="ease-in transition-fast"
        leave-to-class="opacity-0 scale-90"
        mode="out-in">
        <div role="tabpanel" class="w-full origin-left absolute top-0 left-0" v-show="isActive">
            <slot></slot>
        </div>
    </transition>
</template>

<script>
    export default {
        name: "TabComponent",
        props: {
            title: {},
            active: { type: Boolean, default: false }
        },
        data() {
            return {
                isActive: this.active
            };
        }
    }
</script>
